Subject: Re: bug#1754: 23.0.60; tool-bar is shown with tool-bar-mode off

From: Jason Rumney <[email-masked]>
Date: Fri, 02 Jan 2009 07:53:48 +0800

Drew Adams wrote:
> Absolutely not. The mode should affect all existing and future frames. That's
> always been the case, and it is how other, similar modes, such as
> `menu-bar-mode', work.
>   

If that was the case, you would not be able to have minibuffer, ediff 
and speedbar frames without menu or toolbar if you were displaying those 
in other frames.
> It has never been the case that some frame alist overrides the current mode
> value.
>   

It always has been the case for me.